# Uses of Class
org.jmol.util.GData

Packages that use GData
Package
Description
org.jmol.api
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.modelset
org.jmol.render
org.jmol.viewer

## Uses of GData in org.jmol.api

Methods in org.jmol.api with parameters of type GData
Modifier and Type
Method
Description
`Object`
JmolRendererInterface.`initializeExporter(Viewer vwr, double privateKey, GData gdata, Map<String,Object> params)`
`void`
JmolRepaintManager.`render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
`String`
JmolRepaintManager.`renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)`

## Uses of GData in org.jmol.export

Fields in org.jmol.export declared as GData
Modifier and Type
Field
Description
`protected GData`
___Exporter.`gdata`
Methods in org.jmol.export with parameters of type GData
Modifier and Type
Method
Description
`Object`
Export3D.`initializeExporter(Viewer vwr, double privateKey, GData gdata, Map<String,Object> params)`
`protected boolean`
___Exporter.`initOutput(Viewer vwr, double privateKey, GData g3d, Map<String,Object> params)`

## Uses of GData in org.jmol.g3d

Subclasses of GData in org.jmol.g3d
Modifier and Type
Class
Description
`final class`
`Graphics3D`
Provides high-level graphics primitives for 3D visualization for the software renderers.
Methods in org.jmol.g3d with parameters of type GData
Modifier and Type
Method
Description
`JmolRendererInterface`
Graphics3D.`initializeExporter(Viewer vwr, double privateKey, GData g3d, Map<String,Object> params)`
`G3DRenderer`
CircleRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
G3DRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
HermiteRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
TriangleRenderer.`set(JmolRendererInterface g3d, GData gdata)`

## Uses of GData in org.jmol.modelset

Fields in org.jmol.modelset declared as GData
Modifier and Type
Field
Description
`protected GData`
AtomCollection.`g3d`

## Uses of GData in org.jmol.render

Methods in org.jmol.render with parameters of type GData
Modifier and Type
Method
Description
`void`
RepaintManager.`render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
//////// actual rendering ///////////
`String`
RepaintManager.`renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)`

## Uses of GData in org.jmol.viewer

Fields in org.jmol.viewer declared as GData
Modifier and Type
Field
Description
`GData`
Viewer.`gdata`